Package com.smartgwt.client.widgets.drawing.events

# Class DragResizeMoveEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<DragResizeMoveHandler>
com.smartgwt.client.widgets.drawing.events.DragResizeMoveEvent

All Implemented Interfaces:
  `Cancellable`

public class DragResizeMoveEvent extends AbstractSmartEvent<DragResizeMoveHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DragResizeMoveEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default behavior of allowing the shape to be drag-resized
  `protected void`
  `dispatch(DragResizeMoveHandler handler)`
  `static <S extends HasDragResizeMoveHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<DragResizeMoveHandler>`
  `getAssociatedType()`
  `DrawItem`
  `getFiringDrawItem()`
  Returns the `DrawItem` firing the event.
  `int`
  `getNewHeight()`
  new height of this draw item
  `int`
  `getNewWidth()`
  new width of this draw item
  `int`
  `getNewX()`
  new X coordinate of this draw item within the DrawPane
  `int`
  `getNewY()`
  new Y coordinate of this draw item within the DrawPane
  `static GwtEvent.Type<DragResizeMoveHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DragResizeMoveEvent

    public DragResizeMoveEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringDrawItem

    public DrawItem getFiringDrawItem()
    Returns the `DrawItem` firing the event.
    Returns:
      DrawItem firing the event

  - ### fire

    public static <S extends HasDragResizeMoveHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<DragResizeMoveHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(DragResizeMoveHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<DragResizeMoveHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<DragResizeMoveHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<DragResizeMoveHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default behavior of allowing the shape to be drag-resized
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getNewX

    public int getNewX()
    new X coordinate of this draw item within the DrawPane
    Returns:
      new X coordinate of this draw item within the DrawPane

  - ### getNewY

    public int getNewY()
    new Y coordinate of this draw item within the DrawPane
    Returns:
      new Y coordinate of this draw item within the DrawPane

  - ### getNewWidth

    public int getNewWidth()
    new width of this draw item
    Returns:
      new width of this draw item

  - ### getNewHeight

    public int getNewHeight()
    new height of this draw item
    Returns:
      new height of this draw item